# Coding with micro:bit video series for teachers



## Videos

```codecard
[
    {
        "name": "Part 1 - Introduction",
        "description": "This series of videos will be an introduction to coding with micro:bit to build inventions and make creations integrating LEDs, motors, servos and speakers.",
        "youTubeId": "hr8O_pslp8Q",
        "youTubePlaylistId": "PLmqeu38gRdJVCMUhgmF8OrjOhYpYtoh9U",
        "imageUrl": "/static/coding-for-teachers/hr8O_pslp8Q.jpg"
    },
    {
        "name": "Part 2 - Connect & Code",
        "description": "In the second part of our BBC micro:bit video series we look at the basics of coding and connecting your micro:bit using Makecode.",
        "youTubeId": "_cTHlQXwEO4",
        "youTubePlaylistId": "PLmqeu38gRdJVCMUhgmF8OrjOhYpYtoh9U",
        "imageUrl": "/static/coding-for-teachers/_cTHlQXwEO4.jpg"
    },
    {
        "name": "Part 3A - LED lighting",
        "description": "For part 3 of the micro:bit coding video series, I have split it in half as it was getting quite long. This first part goes through basic LED lighting and includes adding external buttons to activate lights.",
        "youTubeId": "gnSRkUxBV18",
        "youTubePlaylistId": "PLmqeu38gRdJVCMUhgmF8OrjOhYpYtoh9U",
        "imageUrl": "/static/coding-for-teachers/gnSRkUxBV18.jpg"
    },
    {
        "name": "Part 3B - LED Neopixels",
        "description": "The other bit of part 3. Here we look at using programmable Neopixel LEDs that can change colour and do flashy patterns.",
        "youTubeId": "G5LjM_Izk88",
        "youTubePlaylistId": "PLmqeu38gRdJVCMUhgmF8OrjOhYpYtoh9U",
        "imageUrl": "/static/coding-for-teachers/G5LjM_Izk88.jpg"
    },
    {
        "name": "Part 4 - Making Music",
        "description": "Here is part 4 of our Micro:bit coding video series. We will look at sound and audio from the micro:bit in this video and test out a variety of different buzzers and speakers.",
        "youTubeId": "6hxvLZSM_pM",
        "youTubePlaylistId": "PLmqeu38gRdJVCMUhgmF8OrjOhYpYtoh9U",
        "imageUrl": "/static/coding-for-teachers/6hxvLZSM_pM.jpg"
    },
    {
        "name": "Part 5 - Motors & Servos",
        "description": "Part 5 is all about making things move. We look at simple motors, geared motors and both positional and continuous servos in this video.",
        "youTubeId": "BDMm0C94wEw",
        "youTubePlaylistId": "PLmqeu38gRdJVCMUhgmF8OrjOhYpYtoh9U",
        "imageUrl": "/static/coding-for-teachers/BDMm0C94wEw.jpg"
    },
    {
        "name": "Part 6 - Coding tips - Variables and Conditionals",
        "description": "This video is just a quick note about variables and conditionals as concepts which are critical for students to understand to be able to create more interesting inventions. These concepts will be important in the next videos where we start making simple projects.",
        "youTubeId": "Z_Gy8yEhq2Q",
        "youTubePlaylistId": "PLmqeu38gRdJVCMUhgmF8OrjOhYpYtoh9U",
        "imageUrl": "/static/coding-for-teachers/Z_Gy8yEhq2Q.jpg"
    },
    {
        "name": "Part 7 - Making a Virtual Pet",
        "description": "After having covered some of the basics in the earlier videos we look at a mini project using buttons, a speaker and the micro:bit LED display. This project is great for getting deeper into variables and conditionals.",
        "youTubeId": "zc3njwmP_O8",
        "youTubePlaylistId": "PLmqeu38gRdJVCMUhgmF8OrjOhYpYtoh9U",
        "imageUrl": "/static/coding-for-teachers/zc3njwmP_O8.jpg"
    },
    {
        "name": "Part 8 - Making a servo powered waving arm and inch worm",
        "description": "Some practical mini-projects using a micro servo in this video. We code the micro:bit to move the servo forwards and backwards in a loop and then use this program to make a waving hand and a moving inch worm.",
        "youTubeId": "e1H0e6un7DY",
        "youTubePlaylistId": "PLmqeu38gRdJVCMUhgmF8OrjOhYpYtoh9U",
        "imageUrl": "/static/coding-for-teachers/e1H0e6un7DY.jpg"
    },
    {
        "name": "Part 9 - Making a digital dice",
        "description": "Another little project with micro:bit. This is also a great first project with students as it's easy to put together, has simple code and is quite practical. Good for a focus on random numbers and potentially conditionals and variables if you choose to go that route with the program.",
        "youTubeId": "XlybhOO8838",
        "youTubePlaylistId": "PLmqeu38gRdJVCMUhgmF8OrjOhYpYtoh9U",
        "imageUrl": "/static/coding-for-teachers/XlybhOO8838.jpg"
    },
    {
        "name": "PlayList",
        "description": "See entire playlist on YouTube",
        "url": "https://www.youtube.com/playlist?list=PLmqeu38gRdJVCMUhgmF8OrjOhYpYtoh9U",
        "youTubePlaylistId": "PLmqeu38gRdJVCMUhgmF8OrjOhYpYtoh9U",
        "imageUrl": "/static/coding-for-teachers/playlist.png"
    }
]
```

## See Also

[YouTube Playlist](https://www.youtube.com/playlist?list=PLmqeu38gRdJVCMUhgmF8OrjOhYpYtoh9U)

