# MakeCode for micro:bit 2020

Deep dive of the features of the MakeCode for micro:bit  2020 editor. Try them out at https://makecode.microbit.org/

## Videos

```codecard
[
    {
        "name": "MakeCode for the micro:bit – 2020 Beta Release",
        "description": "The MakeCode showcases the upcoming features in micro:bit 2020. Read more at https://makecode.com/blog/microbit/2020-beta",
        "youTubeId": "RpK4Cg42eNk",
        "youTubePlaylistId": "PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x",
        "imageUrl": "/static/deep-dive/RpK4Cg42eNk.jpg"
    },
    {
        "name": "WebUSB",
        "description": "A deeper look at the upcoming WebUSB support in MakeCode for micro:bit 2020.",
        "youTubeId": "_-xtP2FH9B8",
        "youTubePlaylistId": "PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x",
        "imageUrl": "/static/deep-dive/_-xtP2FH9B8.jpg"
    },
    {
        "name": "Melody Block and Multi Editor!",
        "description": "A deep dive video covering the new blocks in https://makecode.microbit.org/beta. Melody block and also the multi editor!",
        "youTubeId": "IkZKTzp7H0k",
        "youTubePlaylistId": "PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x",
        "imageUrl": "/static/deep-dive/IkZKTzp7H0k.jpg"
    },
    {
        "name": "Functions",
        "description": "A close look at the upcoming return values in functions in MakeCode for micro:bit. Try it out at https://makecode.microbit.org/beta",
        "youTubeId": "qDNdaeEMtjA",
        "youTubePlaylistId": "PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x",
        "imageUrl": "/static/deep-dive/qDNdaeEMtjA.jpg"
    },
    {
        "name": "Debugger",
        "description": "A deep dive into the debugger support in https://makecode.microbit.org/beta .",
        "youTubeId": "pFKMljVFMsU",
        "youTubePlaylistId": "PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x",
        "imageUrl": "/static/deep-dive/pFKMljVFMsU.jpg"
    },
    {
        "name": "GitHub",
        "description": "Discovering how to use GitHub in MakeCode for micro:bit",
        "youTubeId": "BUNf_UiA_MY",
        "youTubePlaylistId": "PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x",
        "imageUrl": "/static/deep-dive/BUNf_UiA_MY.jpg"
    },
    {
        "name": "GitHub for Extensions",
        "description": "Learn how to create MakeCode for micro:bit extensions using GitHub!",
        "youTubeId": "ztrm4XehfGo",
        "youTubePlaylistId": "PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x",
        "imageUrl": "/static/deep-dive/ztrm4XehfGo.jpg"
    },
    {
        "name": "Python!",
        "description": "A deep dive on the MakeCode Python support for micro:bit.",
        "youTubeId": "qBNU9qR3gXw",
        "youTubePlaylistId": "PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x",
        "imageUrl": "/static/deep-dive/qBNU9qR3gXw.jpg"
    },
    {
        "name": "In Context Translations",
        "description": "Looking at In-Context translations in the upcoming MakeCode for micro:bit editor.",
        "youTubeId": "JVTyuFDGHik",
        "youTubePlaylistId": "PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x",
        "imageUrl": "/static/deep-dive/JVTyuFDGHik.jpg"
    },
    {
        "name": "Creating Tutorials",
        "description": "Create your own tutorials for MakeCode and store them on GitHub.",
        "youTubeId": "R-kY-dQXZvA",
        "youTubePlaylistId": "PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x",
        "imageUrl": "/static/deep-dive/R-kY-dQXZvA.jpg"
    },
    {
        "name": "GitHub Explorer",
        "description": "Learn how to browse through all your github repositories using MakeCode in the https://makecode.com/github-explorer .",
        "youTubeId": "76fNLYOAyl4",
        "youTubePlaylistId": "PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x",
        "imageUrl": "/static/deep-dive/76fNLYOAyl4.jpg"
    },
    {
        "name": "Custom blocks",
        "description": "Create your own micro:bit blocks and save the in GitHub.",
        "youTubeId": "Ku_nHstZS64",
        "youTubePlaylistId": "PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x",
        "imageUrl": "/static/deep-dive/Ku_nHstZS64.jpg"
    },
    {
        "name": "MakeCode for micro:bit 2020 release",
        "description": "Jonny Austin and Hal Speed from the Micro:bit Education Foundation joined us to announce the MakeCode for micro:bit 2020 release. Going through a few of the new features in this release!",
        "youTubeId": "jjTUjrlw8vQ",
        "youTubePlaylistId": "PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x",
        "imageUrl": "/static/deep-dive/jjTUjrlw8vQ.jpg"
    },
    {
        "name": "PlayList",
        "description": "See entire playlist on YouTube",
        "url": "https://www.youtube.com/playlist?list=PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x",
        "youTubePlaylistId": "PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x",
        "imageUrl": "/static/deep-dive/playlist.png"
    }
]
```

## See Also

[YouTube Playlist](https://www.youtube.com/playlist?list=PLMMBk9hE-SepwjCAK7cY-jvq6KeQKda8x)

